# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Member Functions

# vl::DiskDirectory Class Reference

A VirtualDirectory that operates on reguar disk directories. More...

`#include <DiskDirectory.hpp>`

Inheritance diagram for vl::DiskDirectory:

List of all members.

## Public Member Functions

| DiskDirectory ()
| DiskDirectory (const String &path)
void | listFilesRecursive (std::vector< String > &file_list) const
| Use carefully this function, since this search the whole given file system tree.
void | listFiles (std::vector< String > &file_list, bool append=false) const
void | listFiles (std::vector< ref< DiskFile > > &file_list, bool append=false) const
void | listSubDirs (std::vector< String > &dirs, bool append=false) const
ref< DiskDirectory > | diskSubDir (const String &subdir_name) const
ref< VirtualDirectory > | subDir (const String &subdir_name) const
virtual ref< VirtualFile > | file (const String &name) const
| Returns the VirtualFile with the given name if any, NULL otherwise.
virtual ref< DiskFile > | diskFile (const String &name) const
bool | exists () const

## Protected Member Functions

void | listFilesRecursive_internal (std::vector< String > &file_list) const

## Detailed Description

A VirtualDirectory that operates on reguar disk directories.

See also:
  - MemoryDirectory
  - ZippedDirectory
  - FileSystem
  - VirtualFile
  - DiskFile
  - MemoryFile
  - ZippedFile

Definition at line 55 of file DiskDirectory.hpp.

## Constructor & Destructor Documentation

DiskDirectory::DiskDirectory | ( | ) |

Definition at line 55 of file DiskDirectory.cpp.

Referenced by diskSubDir().

DiskDirectory::DiskDirectory | ( | const String & | path ) |

Definition at line 50 of file DiskDirectory.cpp.

References vl::VirtualDirectory::setPath().

## Member Function Documentation

void DiskDirectory::listFilesRecursive | ( | std::vector< String > & | file_list ) | const`[virtual]`

Use carefully this function, since this search the whole given file system tree.

Implements vl::VirtualDirectory.

Definition at line 59 of file DiskDirectory.cpp.

References listFilesRecursive_internal().

void DiskDirectory::listFiles | ( | std::vector< String > & | file_list,
|  | bool | append = `false`
| ) |  | const`[virtual]`

Implements vl::VirtualDirectory.

Definition at line 217 of file DiskDirectory.cpp.

References vl::Log::error(), NULL, vl::VirtualDirectory::path(), vl::String::ptr(), and vl::String::toUTF8().

Referenced by listFiles().

void DiskDirectory::listFiles | ( | std::vector< ref< DiskFile > > & | file_list,
|  | bool | append = `false`
| ) |  | const

Definition at line 201 of file DiskDirectory.cpp.

References file(), and listFiles().

void DiskDirectory::listSubDirs | ( | std::vector< String > & | dirs,
|  | bool | append = `false`
| ) |  | const`[virtual]`

Implements vl::VirtualDirectory.

Definition at line 129 of file DiskDirectory.cpp.

References vl::Log::error(), NULL, vl::VirtualDirectory::path(), vl::String::ptr(), and vl::String::toUTF8().

Referenced by diskSubDir().

ref< DiskDirectory > DiskDirectory::diskSubDir | ( | const String & | subdir_name ) | const

Definition at line 65 of file DiskDirectory.cpp.

References DiskDirectory(), vl::String::empty(), vl::Log::error(), vl::String::length(), vl::length(), listSubDirs(), NULL, vl::VirtualDirectory::path(), vl::String::right(), vl::String::startsWith(), and vl::VirtualDirectory::translatePath().

ref<VirtualDirectory> vl::DiskDirectory::subDir | ( | const String & | subdir_name ) | const`[inline, virtual]`

Implements vl::VirtualDirectory.

Definition at line 75 of file DiskDirectory.hpp.

virtual ref<VirtualFile> vl::DiskDirectory::file | ( | const String & | name ) | const`[virtual]`

Returns the VirtualFile with the given name if any, NULL otherwise.

Implements vl::VirtualDirectory.

Referenced by listFiles().

virtual ref<DiskFile> vl::DiskDirectory::diskFile | ( | const String & | name ) | const`[virtual]`

bool DiskDirectory::exists | ( | ) | const

Definition at line 96 of file DiskDirectory.cpp.

References vl::Log::error(), NULL, vl::VirtualDirectory::path(), vl::String::ptr(), and vl::String::toUTF8().

void vl::DiskDirectory::listFilesRecursive_internal | ( | std::vector< String > & | file_list ) | const`[protected]`

Referenced by listFilesRecursive().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/DiskDirectory.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/DiskDirectory.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:04.
Permission is granted to use this page to write and publish articles regarding Visualization Library.